Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049692 (CVE-2014-0003) - CVE-2014-0003 Camel: remote code execution via XSL
Summary: CVE-2014-0003 Camel: remote code execution via XSL
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0003
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1049698 1049699 1049700 1051988 1051989
Blocks: 1049694 1050743 1058944 1059975 1062718 1072116
TreeView+ depends on / blocked
 
Reported: 2014-01-08 02:56 UTC by David Jorm
Modified: 2021-02-17 07:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-30 20:00:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0245 0 normal SHIPPED_LIVE Important: activemq security update 2014-03-03 23:25:38 UTC
Red Hat Product Errata RHSA-2014:0254 0 normal SHIPPED_LIVE Important: activemq security update 2014-03-06 00:05:16 UTC
Red Hat Product Errata RHSA-2014:0323 0 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.0.0 security update 2014-03-24 22:05:04 UTC
Red Hat Product Errata RHSA-2014:0371 0 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.1 update 2014-04-04 01:19:56 UTC
Red Hat Product Errata RHSA-2014:0372 0 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.1 update 2014-04-04 01:30:03 UTC
Red Hat Product Errata RHSA-2014:0452 0 normal SHIPPED_LIVE Important: Fuse ESB Enterprise/Fuse MQ Enterprise 7.1.0 update 2014-04-30 22:49:57 UTC
Red Hat Product Errata RHSA-2014:0459 0 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2014-04-30 23:00:31 UTC

Description David Jorm 2014-01-08 02:56:00 UTC
It was found that the Apache Camel XSLT component allowed XSL stylesheets to perform calls to external Java methods. A remote attacker able to submit messages to an xslt: Camel route could use this flaw to perform arbitrary remote code execution in the context of the Camel server process.

Comment 1 Murray McAllister 2014-01-08 03:01:46 UTC
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team.

Comment 7 Vincent Danen 2014-02-28 21:30:37 UTC
External References:

http://camel.apache.org/security-advisories.data/CVE-2014-0003.txt.asc

Comment 8 errata-xmlrpc 2014-03-03 18:26:44 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise 2.0

Via RHSA-2014:0245 https://rhn.redhat.com/errata/RHSA-2014-0245.html

Comment 9 errata-xmlrpc 2014-03-05 19:06:17 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise 1.2

Via RHSA-2014:0254 https://rhn.redhat.com/errata/RHSA-2014-0254.html

Comment 10 errata-xmlrpc 2014-03-24 18:05:41 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse and A-MQ 6.0.0 R1 P3

Via RHSA-2014:0323 https://rhn.redhat.com/errata/RHSA-2014-0323.html

Comment 11 errata-xmlrpc 2014-04-03 21:23:13 UTC
This issue has been addressed in following products:

Red Hat JBoss BPM Suite 6.0.1

Via RHSA-2014:0371 https://rhn.redhat.com/errata/RHSA-2014-0371.html

Comment 12 errata-xmlrpc 2014-04-03 21:31:07 UTC
This issue has been addressed in following products:

  Red Hat JBoss BRMS 6.0.1

Via RHSA-2014:0372 https://rhn.redhat.com/errata/RHSA-2014-0372.html

Comment 13 errata-xmlrpc 2014-04-30 18:51:11 UTC
This issue has been addressed in following products:

  Fuse ESB Enterprise/MQ Enterprise 7.1.0 R1 P3

Via RHSA-2014:0452 https://rhn.redhat.com/errata/RHSA-2014-0452.html

Comment 14 errata-xmlrpc 2014-04-30 19:02:03 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2014:0459 https://rhn.redhat.com/errata/RHSA-2014-0459.html


Note You need to log in before you can comment on or make changes to this bug.